Bug 231290 - sysutils/osquery: bump llvm depend of 10.x to llvm60
Summary: sysutils/osquery: bump llvm depend of 10.x to llvm60
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ryan Steinmetz
URL:
Keywords: patch
Depends on:
Blocks: 231286
  Show dependency treegraph
 
Reported: 2018-09-10 19:40 UTC by Brooks Davis
Modified: 2018-09-25 22:18 UTC (History)
0 users

See Also:
zi: maintainer-feedback+


Attachments
bump clang/llvm version to 6.0. (444 bytes, patch)
2018-09-10 19:40 UTC, Brooks Davis
brooks: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2018-09-10 19:40:41 UTC
Created attachment 197014 [details]
bump clang/llvm version to 6.0.

osquery uses clang40 to work around issues with the clang in 10x.   Bump the dependency to llvm60 as that's more common and we're trying to retire llvm40.  I've verified this on 10.4 amd64 with poudriere.
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2018-09-25 22:12:45 UTC
Approved
Comment 2 commit-hook freebsd_committer 2018-09-25 22:15:37 UTC
A commit references this bug:

Author: brooks
Date: Tue Sep 25 22:14:39 UTC 2018
New revision: 480702
URL: https://svnweb.freebsd.org/changeset/ports/480702

Log:
  bump llvm depend for 10.x to llvm60.

  PR:		231290
  Approved by:	zi (maintainer)
  Sponsored by:	DARPA, AFRL

Changes:
  head/sysutils/osquery/Makefile